Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X PUT "https://api.box.com/2.0/terms_of_services/324234" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"status": "enabled",
"text": "By collaborating on this file you are accepting..."
}'{
"id": "11446498",
"type": "terms_of_service",
"status": "enabled",
"enterprise": {
"id": "11446498",
"type": "enterprise",
"name": "Acme Inc."
},
"tos_type": "managed",
"text": "By using this service, you agree to ...",
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00"
}特定のサービス利用規約を更新します。
curl -i -X PUT "https://api.box.com/2.0/terms_of_services/324234" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"status": "enabled",
"text": "By collaborating on this file you are accepting..."
}'{
"id": "11446498",
"type": "terms_of_service",
"status": "enabled",
"enterprise": {
"id": "11446498",
"type": "enterprise",
"name": "Acme Inc."
},
"tos_type": "managed",
"text": "By using this service, you agree to ...",
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00"
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
サービス利用規約のID。
更新されたサービス利用規約オブジェクトを返します。
1つのサービス利用規約に該当するとみなされるルートレベルのレコード。
このサービス利用規約の一意の識別子。
"11446498"
値は常にterms_of_serviceになります。
terms_of_service "terms_of_service"
これらの利用規約が有効になっているかどうか。
enabled, disabled "enabled"
これらの利用規約が適用される企業。
Show child attributes
これらの利用規約を管理対象ユーザーに適用するか、外部ユーザーに適用するか。
managed, external "managed"
利用規約のテキスト。statusがdisabledに設定されている場合は、このテキストが空になることがあります。
"By using this service, you agree to ..."
リーガル項目が作成された日時。
"2012-12-12T10:53:43-08:00"
リーガル項目が変更された日時。
"2012-12-12T10:53:43-08:00"
このページは役に立ちましたか?